Skip to main content
GET
/
v2
/
telematics
/
vehicle-region-segments
List Vehicle Region Segments
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/vehicle-region-segments \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "processing_date": "2023-12-25",
      "vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "segment_start_time": "2023-11-07T05:31:56Z",
      "segment_end_time": "2023-11-07T05:31:56Z",
      "location_count": 123,
      "fleet_ref": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "country_code": "<string>",
      "region": "<string>",
      "odometer_start": 123,
      "odometer_end": 123,
      "distance": 123,
      "odometer_start_unit": "m",
      "odometer_end_unit": "m",
      "distance_unit": "m",
      "vehicle": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "vehicle_name": "<string>",
        "model_type": "<string>",
        "model_year": 123,
        "vin": "<string>",
        "license_plate_region": "<string>",
        "license_plate_country": "<string>",
        "license_plate_number": "<string>",
        "eld_id": "<string>",
        "eld_serial_number": "<string>",
        "source_id": "<string>",
        "external_id": "<string>"
      }
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details such as field names, response fields, or query parameters may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

group_by
string | null

Optional grouping mode. Use segment to collapse repeated visits to the same region for a vehicle within the filtered window, using the min start time and max end time.

Allowed value: "segment"
include_vehicle
boolean
default:false

If true, each segment will include a vehicle object with basic vehicle information. Segments without a matching vehicle will have vehicle set to null.

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

from_date
string<date>

Return only records with a processing date on or after this date. Format: YYYY-MM-DD Applies filter: processing_date >= from_date Default value: yesterday Restriction: to_date - from_date cannot exceed 45 days

Example:

"2026-06-25"

to_date
string<date>

Return only records with a processing date on or before this date. Format: YYYY-MM-DD Applies filter: processing_date <= to_date Default value: today Restriction: to_date - from_date cannot exceed 45 days

Example:

"2026-06-26"

vehicle_ids
string<uuid>[] | null

Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).

Maximum array length: 100
country_code
string | null

Limit results to a specific country using its ISO 3166-1 alpha-3 code (e.g., USA, CAN).

region
string | null

Limit results to a specific region or state within the country (e.g., TX, ON).

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
VehicleRegionSegmentRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page